[solved] Problem for per user php.ini

Discussion in 'Install/Configuration' started by LolCat, Aug 12, 2013.

  1. LolCat

    LolCat New Member

    Last edited by a moderator: Aug 14, 2013
  2. NiteWave

    NiteWave Administrator

    please provide more information regarding this.
    how did you check ? $VH_HOST or $VH_ROOT ?
  3. LolCat

    LolCat New Member

    I set PHP_INI_SCAN_DIR=$VH_ROOT and check on the phpinfo() what directory he was scanning, and he was scanning /opt/lsws/admin/ as $VH_ROOT.

    Mea culpa, $VH_HOST was a mistake.
    Last edited: Aug 13, 2013
  4. NiteWave

    NiteWave Administrator

    I tested
    PHP_INI_SCAN_DIR=$VH_ROOT
    it's working as expected.

    what's your $VH_ROOT should be ? how do you know it's scanning /opt/lsws/admin/ ?

    by phpinfo() "Additional .ini files parsed" ?
  5. LolCat

    LolCat New Member


    Yes by additional .ini files (who is set to none) parsed and Scan this dir for additional .ini files (who is set to /opt/lsws/admin)

    $VH_ROOT hasn't to be /home/username/ ?
    Last edited: Aug 13, 2013
  6. NiteWave

    NiteWave Administrator

    in cPanel, it should be /home/username/

    it's really strange that in your phpinfo.php:
    Scan this dir for additional .ini files : /opt/lsws/admin

    can you give a screenshot about the phpinfo.php (from top to "Zend Extension" is ok)
  7. LolCat

    LolCat New Member

  8. NiteWave

    NiteWave Administrator

    in the first screenshot, show
    "Server API: LiteSpeed"

    maybe you build lsphp with the php source code ?
    the lastest API should show
    "Server API: LiteSpeed V6.3"

    please download latest lsapi for php 6.3:
    http://www.litespeedtech.com/lsapi-downloads.html
    copy *.h and *.c to overwrite php-5.4.17 source tree:
    php-5.4.17/sapi/litespeed
    then build lsphp-5.4.17 again

    see if the issue gone
  9. LolCat

    LolCat New Member

    Is now showing LiteSpeed V6.3 but the issue isn't gone
    I retry to build using EasyApache and LSAPI, same.
    Last edited: Aug 13, 2013
  10. NiteWave

    NiteWave Administrator

    please show the last part of phpinfo.php -- PHP Variables
  11. LolCat

    LolCat New Member

  12. NiteWave

    NiteWave Administrator

    no idea ... if you're ok I can ssh to your server or give lsws admin console access:)7080) to take a quick look.
  13. LolCat

    LolCat New Member

    I fixed it, on reinstalling litespeed and recompiling a custom older php version (5.4.10, restarting all, and now it's working, i dunno why that doesn't work the last time.

    Thanks for helping
  14. NiteWave

    NiteWave Administrator

    Thanks for update. lsphp-5.4.17 should be ok as well. if still problem, please update here.

Share This Page